#!/bin/sh
# Carrega o Menu de serviços do Ubuntu Perfeito
# uma unica vez no primeiro login
# e depois autoremove-se
# Variaveis importantes
. /usr/share/ubuntuperfeito-lucid/ubuntu-perfeito.var

if [ -z "$EMAILME" ] || \
   [ -z "$PACKAGE_NAME" ] || \
   [ -z "$ICONE" ] || \
   [ -z "$PASTA_TMP" ] ; then
  echo "Arquivo de variaiveis [ubuntu-perfeito.var]  não foi encontrado."
  exit 2;
fi

#[ -f "$APPLICATION_PATH/ubuntuperfeito-aplicar_tema.sh" ] && $APPLICATION_PATH/ubuntuperfeito-aplicar_tema.sh
[ -f "$APPLICATION_PATH/ubuntuperfeito-menu.sh" ] && "$APPLICATION_PATH/ubuntuperfeito-menu.sh"
[ -f "$HOME/.config/autostart/ubuntuperfeito-roda_uma_unica_vez.desktop" ] && rm -f "$HOME/.config/autostart/ubuntuperfeito-roda_uma_unica_vez.desktop"
if ! [ -f "$HOME/.config/autostart/ubuntuperfeito-roda_uma_unica_vez.desktop" ] ; then
  /usr/bin/zenity --notification --text "Use Sistema->Preferencias->Ubuntu Perfeito-Menu de Serviços para executar opções extras" &
else
  /usr/bin/zenity --notification --text "Não conseguí remover o menu de serviços do Ubuntu Perfeito da inicialização. Por gentileza execute : [sudo chown -vR $USERNAME $HOME/.config] para que ele possa ser removido na próxima execução." &
fi
